> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-rest-api-guide/api-reference/site-settings/mfa/mfa-default-settings/criteria/oses.md).

# OSes

## Get

> Retrieve Criteria OS of a Site Defaults object.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/MFADefaultSettings/Criteria/OSes":{"get":{"tags":["2-Site settings/Multi-factor Authentication/1-Default settings/Criteria//Operating System"],"summary":"Get","description":"Retrieve Criteria OS of a Site Defaults object.","operationId":"ec7e68e8-b252-4686-b0bc-32a506dceadf","parameters":[{"name":"siteId","in":"query","description":"The SiteId of a Site Defaults object for which to retrieve the Criteria settings (optional).","schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Success","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/AllowedOperatingSystems"}}}},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"AllowedOperatingSystems":{"type":"object","properties":{"chrome":{"type":"boolean","description":"<para type=\"description\">Whether Chrome is allowed or not.</para>"},"android":{"type":"boolean","description":"<para type=\"description\">Whether Android is allowed or not.</para>"},"webClient":{"type":"boolean","description":"<para type=\"description\">Whether Web Client is allowed or not.</para>"},"iOS":{"type":"boolean","description":"<para type=\"description\">Whether iOS is allowed or not.</para>"},"linux":{"type":"boolean","description":"<para type=\"description\">Whether Linux is allowed or not.</para>"},"mac":{"type":"boolean","description":"<para type=\"description\">Whether MAC OS is allowed or not.</para>"},"wyse":{"type":"boolean","description":"<para type=\"description\">Whether Wyse is allowed or not.</para>"},"windows":{"type":"boolean","description":"<para type=\"description\">Whether Windows is allowed or not.</para>"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Allowed Operating Systems</para>\r\n<para type=\"description\"></para>"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Update

> Modify the OS of the Criteria settings.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/MFADefaultSettings/Criteria/OSes":{"put":{"tags":["2-Site settings/Multi-factor Authentication/1-Default settings/Criteria//Operating System"],"summary":"Update","description":"Modify the OS of the Criteria settings.","operationId":"bf55f701-ef5a-42e4-8caa-7995f7e1f1ba","parameters":[{"name":"siteId","in":"query","description":"The Site ID of an object for which to modify the Criteria settings (optional).","schema":{"type":"integer","format":"int32"}}],"requestBody":{"description":"OS configuration.","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/SetCriteriaOS"}}}},"responses":{"204":{"description":"No Content"},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"SetCriteriaOS":{"type":"object","properties":{"allowClientChrome":{"type":"boolean","description":"<para type=\"description\">Allow Chrome OS clients.</para>","nullable":true},"allowClientAndroid":{"type":"boolean","description":"<para type=\"description\">Allow Android clients.</para>","nullable":true},"allowClientWeb":{"type":"boolean","description":"<para type=\"description\">Allow Web clients.</para>","nullable":true},"allowClientIOS":{"type":"boolean","description":"<para type=\"description\">Allow IOS clients.</para>","nullable":true},"allowClientLinux":{"type":"boolean","description":"<para type=\"description\">Allow Linux clients.</para>","nullable":true},"allowClientMAC":{"type":"boolean","description":"<para type=\"description\">Allow Mac clients.</para>","nullable":true},"allowClientWindows":{"type":"boolean","description":"<para type=\"description\">Allow Windows clients.</para>","nullable":true},"allowClientWyse":{"type":"boolean","description":"<para type=\"description\">Allow Wyse clients.</para>","nullable":true}},"additionalProperties":false},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.parallels.com/landing/ras-rest-api-guide/api-reference/site-settings/mfa/mfa-default-settings/criteria/oses.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
